
public class Class85 {

   public static final int anInt857 = 4318;
   public static final int anInt858 = 4098;
   public static final int anInt859 = -1;
   public static final int anInt860 = 32902;
   public int anInt861;
   public static final int anInt862 = 0;
   public String aString863;
   public int anInt864;
   public String aString865;
   public long aLong866;
   public static int anInt867;
   static Class124 aClass124_868;


   public Class85(int var1, String var2, int var3, String var4, long var5) {
      this.anInt861 = var1 * 683922033;
      this.aString863 = var2;
      this.anInt864 = var3 * -878647991;
      this.aString865 = var4;
      this.aLong866 = 8363309331670751531L * var5;
   }

   public static void method1682(int var0, byte var1) {
      Class51.aBoolArray516[var0] = false;
      Class223.method3835(var0, (byte)3);
   }

   static final void method1683(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 37396564);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1 == -1001045855 * var3.anInt1410?-1781327493 * var3.anInt1411:-1;
   }

   static final void method1684(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class334.method6171(743347173).method89((byte)0);
   }

   public static int method1685(RS2Buffer var0, String var1, int var2) {
      int var3 = var0.position * -543666943;
      byte[] var4 = Class105.method2162(var1, (byte)-53);
      var0.method13718(var4.length, (byte)38);
      var0.position += Class52.aClass41_517.method1107(var4, 0, var4.length, var0.buffer, var0.position * -543666943, -1702092795) * 1385214721;
      return var0.position * -543666943 - var3;
   }

   static boolean method1686(int var0) {
      client.anInt7706 += -1780661887;
      client.aBool7929 = true;
      return true;
   }

   static final void method1687(Class508 var0, short var1) {
      var0.anInt6005 -= -93697366;
      String var2 = (String)var0.anObjectArray6004[var0.anInt6005 * 639741949];
      String var3 = (String)var0.anObjectArray6004[var0.anInt6005 * 639741949 + 1];
      RS2Buffer.method13956(var2, var3, (byte)-113);
   }
}
